pgb205 via FreeIPA-users wrote:
> I have tried to start an apparently crashed instance of ipa server

Define crashed, and what version?

> and got
> 
> ipactl start
> Upgrade required: please run ipa-server-upgrade command
> Aborting ipactl

It uses values from /var/lib/ipa/sysupgrade/sysupgrade.state to
determine the current version, the values data_version and platform in
the ipa section. It compares them against the running bits.

> 
> ran ipa-server-upgrade which got to the following step, but no further
> /ipa.ipaserver.install.ldapupdate.LDAPUpdate: DEBUG:
> ---------------------------------------------/
> /ipa.ipaserver.install.ldapupdate.LDAPUpdate: DEBUG: Final value after
> applying updates/
> /ipa.ipaserver.install.ldapupdate.LDAPUpdate: DEBUG: dn:
> cn=selinux,dc=mmracks,dc=internal/
> /ipa.ipaserver.install.ldapupdate.LDAPUpdate: DEBUG: objectClass:/
> /ipa.ipaserver.install.ldapupdate.LDAPUpdate: DEBUG:     nsContainer/
> /ipa.ipaserver.install.ldapupdate.LDAPUpdate: DEBUG:     top/
> /ipa.ipaserver.install.ldapupdate.LDAPUpdate: DEBUG: cn:/
> /ipa.ipaserver.install.ldapupdate.LDAPUpdate: DEBUG:     selinux/
> 
> 
> the command is stuck and is not giving me any error.
> 
> Any advise as to why I am suddenly prompted to upgrade but even more
> importantly on how I should get past the above point in the upgrade?

My guess is that 389-ds is hung up. I'd start with
http://directory.fedoraproject.org/docs/389ds/FAQ/faq.html#debugging-hangs

rob
_______________________________________________
FreeIPA-users mailing list -- freeipa-users@lists.fedorahosted.org
To unsubscribe send an email to freeipa-users-le...@lists.fedorahosted.org

Reply via email to